# Finish passkey registration

Validates the authenticator attestation response against the stored challenge and persists the new credential.

Endpoint: POST /api/v1/passkeys/finish-register
Version: 1.0
Security: header

## Request fields (application/json):

  - `key` (string)

  - `value` (any)

## Response 200 fields (application/json):

  - `credentialId` (string, required)

  - `accountId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `userId` (string, required)
    UUID with type prefix
    Example: "us_01hxcvk1hjexere4pvtrj0ymqq"

  - `publicKeyCose` (string, required)

  - `publicKeyAlg` (integer, required)

  - `aaguid` (string,null, required)

  - `signCount` (integer, required)

## Response 400 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation

## Response 401 fields (application/json):

  - `errorCode` (string, required)
    Error code

  - `message` (string, required)
    Error message

  - `docUrl` (string)
    Link to documentation


